List repository images
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/imagesList images for a container registry repository, including their tags.
https://api.vercel.com/v1/vcr/repository/{idOrName}/images
const response = await fetch('https://api.vercel.com/v1/vcr/repository/idOrName/images?projectId=string&limit=123&cursor=string&untagged=true&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "images": [ { "arch": "amd64", "createdAt": "2026-06-30T10:00:00.000Z", "id": "img_a1b2c3d4e5f6", "kind": "attestation", "manifestDigest": "sha256:2c4e8f3a1b9d0e5c7a6f4b2d8e1c9a0b3d5f7e9c1a2b4d6f8e0c2a4b6d8f0e2c", "platform": "linux", "pushedBy": "string", "repositoryId": "repo_a1b2c3d4e5f6", "sizeInBytes": "123", "status": "errored", "tags": [] } ], "nextCursor": "string"}AuthorizationbearerToken
Default authentication mechanism
Project ID or name (slug) within the authenticated team. IDs take precedence over names. Missing or empty values return HTTP 400.